(() => {
  const modConfigsInstalled = $modLoader.knownMods.has('modconfigs')

  if (!modConfigsInstalled) {
    return
  }

  const origTitleScreenCreate = Scene_OmoriTitleScreen.prototype.create

  const addConfigs = () => {
    Snek.ModConfigs.addConfig({
      header: 'Hard Mode: Random Afraid',
      options: ['NO', 'YES'],
      helpText: 'Should the ALLIES become randomly AFRAID?'
    })

    Snek.ModConfigs.addConfig({
      header: 'Hard Mode: Follow-Up Cost',
      options: ['3', '5'],
      helpText: 'Determine the cost for FOLLOW-UPS.'
    })

    Snek.ModConfigs.addConfig({
      header: 'Hard Mode: Quick Time Event',
      options: ['NO', 'YES'],
      helpText: 'Should there be a quick time event when you ATTACK?'
    })

    Snek.ModConfigs.addConfig({
      header: 'Hard Mode: Item Cap',
      options: ['10', '99'],
      helpText: 'What should the limit be for ITEMS?'
    })

    Snek.ModConfigs.addConfig({
      header: 'Hard Mode: Juice Regeneration',
      options: ['NO', 'YES'],
      helpText: 'Should ALLIES regenerate 3 JUICE every turn?'
    })
  }

  Game_Party.prototype.maxItems = function(item) {
      if (!item) return 1;
      return Snek.ModConfigs.checkConfig('Hard Mode: Item Cap') ? 10 : 99;
  };

  Scene_OmoriTitleScreen.prototype.create = function() {
    addConfigs()
    origTitleScreenCreate.call(this)
    this._modConfigsWindow.makeConfigsList() // SNAKEEEEEEEEEEEEEE
  }

})()
